# TMCFixedSizeArray< T, i > Class Template Reference

Inheritance diagram for TMCFixedSizeArray< T, i >:

List of all members.

## Public Member Functions
| TMCFixedSizeArray ()
| TMCFixedSizeArray (const TMCFixedSizeArray< T, i > &other)
const T & | operator[] (int index) const
T & | operator[] (int index)
boolean | operator== (const TMCFixedSizeArray< T, i > &other) const
boolean | operator!= (const TMCFixedSizeArray< T, i > &other) const
TMCFixedSizeArray< T, i > & | operator= (const TMCFixedSizeArray< T, i > &other)
T * | GetBaseAddress ()
const T * | GetBaseAddress () const
TMCFixedSizeArray< T, i > & | operator+= (TMCFixedSizeArray< T, i > &other)
TMCFixedSizeArray< T, i > & | operator*= (TMCFixedSizeArray< T, i > &other)
TMCFixedSizeArray< T, i > & | operator/= (TMCFixedSizeArray< T, i > &other)
TMCFixedSizeArray< T, i > & | operator<<= (int32 v)
TMCFixedSizeArray< T, i > & | operator>>= (int32 v)
TMCFixedSizeArray< T, i > & | Blend (TMCFixedSizeArray< T, i > &other, T factor)
## Protected Attributes
T | fComps [i]

## Detailed Description

### template<class T, int32 i>
class TMCFixedSizeArray< T, i >

Deprecated, do not use.

## Constructor & Destructor Documentation

template<class T , int32 i>

TMCFixedSizeArray< T, i >::TMCFixedSizeArray | ( |  | ) | `[inline]`

template<class T , int32 i>

TMCFixedSizeArray< T, i >::TMCFixedSizeArray | ( | const TMCFixedSizeArray< T, i > & | other | ) | `[inline]`

## Member Function Documentation

template<class T , int32 i>

TMCFixedSizeArray< T, i > & TMCFixedSizeArray< T, i >::Blend | ( | TMCFixedSizeArray< T, i > & | other,
|  | T | factor |
| ) |  |  | `[inline]`

template<class T , int32 i>

const T* TMCFixedSizeArray< T, i >::GetBaseAddress | ( |  | ) | const`[inline]`

template<class T , int32 i>

T* TMCFixedSizeArray< T, i >::GetBaseAddress | ( |  | ) | `[inline]`

template<class T , int32 i>

boolean TMCFixedSizeArray< T, i >::operator!= | ( | const TMCFixedSizeArray< T, i > & | other | ) | const`[inline]`

template<class T , int32 i>

TMCFixedSizeArray< T, i > & TMCFixedSizeArray< T, i >::operator*= | ( | TMCFixedSizeArray< T, i > & | other | ) | `[inline]`

template<class T , int32 i>

TMCFixedSizeArray< T, i > & TMCFixedSizeArray< T, i >::operator+= | ( | TMCFixedSizeArray< T, i > & | other | ) | `[inline]`

template<class T , int32 i>

TMCFixedSizeArray< T, i > & TMCFixedSizeArray< T, i >::operator/= | ( | TMCFixedSizeArray< T, i > & | other | ) | `[inline]`

template<class T , int32 i>

TMCFixedSizeArray< T, i > & TMCFixedSizeArray< T, i >::operator<<= | ( | int32 | v | ) | `[inline]`

template<class T , int32 i>

TMCFixedSizeArray< T, i > & TMCFixedSizeArray< T, i >::operator= | ( | const TMCFixedSizeArray< T, i > & | other | ) | `[inline]`

template<class T , int32 i>

boolean TMCFixedSizeArray< T, i >::operator== | ( | const TMCFixedSizeArray< T, i > & | other | ) | const`[inline]`

template<class T , int32 i>

TMCFixedSizeArray< T, i > & TMCFixedSizeArray< T, i >::operator>>= | ( | int32 | v | ) | `[inline]`

template<class T , int32 i>

T& TMCFixedSizeArray< T, i >::operator[] | ( | int | index | ) | `[inline]`

template<class T , int32 i>

const T& TMCFixedSizeArray< T, i >::operator[] | ( | int | index | ) | const`[inline]`

## Member Data Documentation

template<class T , int32 i>

T TMCFixedSizeArray< T, i >::fComps[i]`[protected]`

The documentation for this class was generated from the following file:

- MCFixedSizeArray.h